> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Grant Vesting Line Chart Data

> Returns one row per vesting (date, units) for a grant's vesting line chart.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-grant-vesting-line-chart-data
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-grant-vesting-line-chart-data:
    get:
      operationId: getGrantVestingLineChartData
      summary: Get Grant Vesting Line Chart Data
      description: >-
        Returns one row per vesting (date, units) for a grant's vesting line
        chart.


        Not available to API keys yet. It will need `grants:read`.
      parameters:
        - name: grantID
          in: query
          required: true
          description: >-
            NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces
            it
          schema:
            type: string
            minLength: 1
            description: >-
              NOTE(ck): a .refine() rule is not mirrored here; TGA still
              enforces it
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGrantVestingLineChartDataResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetGrantVestingLineChartDataResponse:
      type: object
      properties: {}
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
